evaluations
Get evaluations test cases
Requires scopes: eval:read
GET
/
api
/
evaluations
/
{id}
/
test-cases
Get evaluations test cases
curl --request GET \
--url https://evalgate.com/api/evaluations/{id}/test-cases \
--header 'Authorization: Bearer <token>'import requests
url = "https://evalgate.com/api/evaluations/{id}/test-cases"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://evalgate.com/api/evaluations/{id}/test-cases', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"testCases": [
{
"id": 123,
"evaluationId": 123,
"name": "<string>",
"input": "<string>",
"inputHash": "<string>",
"expectedOutput": "<string>",
"metadata": {
"tags": [
"<string>"
],
"category": "policy",
"difficulty": "medium",
"source": "manual",
"behavior": "tool_use",
"failureClusterId": "<string>",
"agentWorkflow": {
"version": 1,
"workflowClass": "approval_gated_mutation",
"autonomyLevel": "manual",
"approvalMode": "human_review",
"riskLevel": "low",
"memoryMode": "session",
"backgroundExecution": true,
"requiresCheckpoint": true,
"expectedHandoff": true,
"requiredHooks": [
"session_start"
],
"activeTools": [
"<string>"
],
"permissionScope": {
"filesystem": [
"<string>"
],
"network": "open",
"externalSystems": [
"<string>"
],
"mutatesState": false
},
"expectedFailureModes": [
"<string>"
],
"scenario": "<string>",
"provenance": {
"source": "manual",
"evaluationId": 123,
"runId": 123,
"testCaseId": 123,
"traceId": "<string>"
}
},
"workflowExperimentRecipe": {
"version": 1,
"title": "<string>",
"objective": "<string>",
"workflowClass": "approval_gated_mutation",
"source": "coverage_gap",
"linkedFailureModes": [
"<string>"
],
"linkedTestCaseIds": [
123
],
"comparedVariants": [
{
"id": "<string>",
"label": "<string>",
"changes": [
"<string>"
],
"expectedImpact": "<string>",
"autonomyLevel": "manual",
"approvalMode": "human_review",
"memoryMode": "session",
"hooks": [
"session_start"
]
}
],
"successMetrics": [
"<string>"
],
"guardrails": [
"<string>"
],
"recommendedIterations": 123,
"rationale": "<string>"
},
"candidateId": "<string>",
"failureReportId": 123,
"evalCaseId": "<string>"
},
"lifecycleState": "<string>",
"originType": "<string>",
"datasetId": "<string>",
"datasetVersionId": "<string>",
"datasetRowId": "<string>",
"datasetRowContentHash": "<string>",
"lastLifecycleTransitionAt": "2023-11-07T05:31:56Z",
"archivedAt": "2023-11-07T05:31:56Z",
"supersededById": 123,
"supersededAt": "2023-11-07T05:31:56Z",
"supersessionReason": "<string>",
"createdAt": "2023-11-07T05:31:56Z"
}
]
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Required range:
1 <= x <= 1000Required range:
x >= 0Response
Successful response
Show child attributes
Show child attributes
⌘I
Get evaluations test cases
